Submit a zkTLS proof
curl --request POST \
--url https://api.arcenpay.com/api/v1/proofs/zktls \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"proof": {},
"companyKeys": {
"id": "<string>",
"wallet": "<string>",
"email": "<string>"
},
"userKeys": {
"id": "<string>",
"wallet": "<string>",
"email": "<string>"
},
"expiresIn": 123
}
'import requests
url = "https://api.arcenpay.com/api/v1/proofs/zktls"
payload = {
"proof": {},
"companyKeys": {
"id": "<string>",
"wallet": "<string>",
"email": "<string>"
},
"userKeys": {
"id": "<string>",
"wallet": "<string>",
"email": "<string>"
},
"expiresIn": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
proof: {},
companyKeys: {id: '<string>', wallet: '<string>', email: '<string>'},
userKeys: {id: '<string>', wallet: '<string>', email: '<string>'},
expiresIn: 123
})
};
fetch('https://api.arcenpay.com/api/v1/proofs/zktls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"providerId": "<string>",
"claims": {},
"companyId": "<string>"
}
}{
"error": "<string>",
"code": "<string>"
}zkTLS proofs
Submit a zkTLS proof
Verifies a Reclaim Protocol proof and attaches its claims to a company’s traits. Replay-protected.
POST
/
proofs
/
zktls
Submit a zkTLS proof
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Proof verified and stored
Show child attributes
Show child attributes
Last modified on September 19, 2026

